
Redmine - Defect #38199

Fix deprecation warning for db:structure:dump in db:migrate when using sql schema format

2023-01-19 16:14 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 5.0.5   

Resolution: Fixed Affected version:  

Description

Running db:migrate using sql schema format shows the deprecation warning:

DEPRECATION WARNING: Using `bin/rails db:structure:dump` is deprecated and will be removed in Rail

s 7.0. Configure the format using `config.active_record.schema_format = :sql` to use `structure.sq

l` and run `bin/rails db:schema:dump` instead. (called from block (3 levels) in <top (required)> a

t lib/tasks/redmine.rake:160)

 Redmine invokes db:schema/structures:dump to dump plugins migrations.

Related issues:

Related to Redmine - Patch #31485: Add support for :sql ActiveRecord::Base.sc... Closed

Associated revisions

Revision 22086 - 2023-02-01 08:53 - Go MAEDA

Fix deprecation warning for db:structure:dump in db:migrate when using sql schema format (#38199).

Contributed by Dmitry Makurin.

Revision 22091 - 2023-02-03 02:03 - Go MAEDA

Merged r22086 from trunk to 5.0-stable (#38199).

History

#1 - 2023-01-20 03:36 - Go MAEDA

- Related to Patch #31485: Add support for :sql ActiveRecord::Base.schema_format in redmine:plugins:migrate added

#2 - 2023-01-20 03:39 - Go MAEDA

- Category set to Rails support

- Status changed from New to Confirmed

Steps to reproduce:

$ echo 'config.active_record.schema_format = :sql' >> config/additional_environment.rb

$ bin/rake redmine:plugins:migrate

#3 - 2023-01-20 03:47 - Go MAEDA

- File 31485.patch added

- Target version set to 5.0.5

Setting the target version to 5.0.5.

#4 - 2023-01-20 09:27 - Go MAEDA

- Subject changed from Using `bin/rails db:structure:dump` is deprecated and will be removed in Rails 7.0. to Fix "DEPRECATION WARNING: Using

`bin/rails db:structure:dump`" when migrating plugins using sql schema format

#5 - 2023-01-20 16:19 - Dmitry Makurin 
- File 38199_v2.patch added

I guess we need to provide backward compatibility for Rails 6.1.

db:structure:dump will be removed only in Rails 7.0 but the current trunk works on 6.1+.

Attaching a new patch 38199_v2.patch.

#6 - 2023-01-21 04:26 - Go MAEDA

- Target version changed from 5.0.5 to 5.1.0

#7 - 2023-01-21 04:34 - Go MAEDA

- Target version changed from 5.1.0 to 5.0.5

#8 - 2023-01-21 04:40 - Go MAEDA

Dmitry Makurin  wrote:

I guess we need to provide backward compatibility for Rails 6.1.

db:structure:dump will be removed only in Rails 7.0 but the current trunk works on 6.1+.

Attaching a new patch 38199_v2.patch.

 I think the first patch work with Rails 6.1. It seems that db:schema:dump generates db/structure.sql also with Rails 6.1.

$ rm db/structure.sql

ls db/structure.sql 

ls: db/structure.sql: No such file or directory

$ bin/rake redmine:plugins:migrate

$ ls db/structure.sql 

db/structure.sql

#9 - 2023-02-01 08:54 - Go MAEDA

- Subject changed from Fix "DEPRECATION WARNING: Using `bin/rails db:structure:dump`" when migrating plugins using sql schema format to Fix

deprecation warning for db:structure:dump in db:migrate when using sql schema format

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#10 - 2023-02-03 02:03 - Go MAEDA

- Status changed from Resolved to Closed

Files

31485.patch 538 Bytes 2023-01-20 Go MAEDA

38199_v2.patch 697 Bytes 2023-01-20 Dmitry Makurin 

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/attachments/30128
https://www.redmine.org/attachments/30128
http://www.tcpdf.org

